For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contacts

Get list of waste contacts

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
company_idintegerOptional

Filter by company id

rolestring · enumOptional

Filter by role

Example: signatoryPossible values:
Responses
200

A paginated list of waste contacts

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/wam/contacts/
GET /api/v4/wam/contacts/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

A paginated list of waste contacts

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "uid": "123e4567-e89b-12d3-a456-426614174000",
      "company_id": 123,
      "roles": [
        "signatory",
        "notification"
      ],
      "email": "contact@example.com",
      "full_name": "John Doe"
    }
  ]
}

Create a new waste contact

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
company_idintegerOptional

ID of the company of the contact

Example: 123
emailstring · emailOptional

Email of the contact

Example: contact@example.com
full_namestringOptional

Full name of the contact

Example: John Doe
Responses
201

Created waste contact

application/json
uidstring · uuidOptional

Unique identifier of the contact

Example: 123e4567-e89b-12d3-a456-426614174000
company_idintegerOptional

ID of the company of the contact

Example: 123
emailstring · emailOptional

Email of the contact

Example: contact@example.com
full_namestringOptional

Full name of the contact

Example: John Doe
post/wam/contacts/
POST /api/v4/wam/contacts/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 108

{
  "company_id": 123,
  "roles": [
    "signatory",
    "notification"
  ],
  "email": "contact@example.com",
  "full_name": "John Doe"
}
201

Created waste contact

{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "company_id": 123,
  "roles": [
    "signatory",
    "notification"
  ],
  "email": "contact@example.com",
  "full_name": "John Doe"
}

Delete a specific waste contact

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique ID of the waste contact

Responses
204

Waste contact deleted

No content

delete/wam/contacts/{uid}
DELETE /api/v4/wam/contacts/{uid} HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
204

Waste contact deleted

No content

Get a specific waste contact

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique ID of the waste contact

Responses
200

A specific waste contact

application/json
uidstring · uuidOptional

Unique identifier of the contact

Example: 123e4567-e89b-12d3-a456-426614174000
company_idintegerOptional

ID of the company of the contact

Example: 123
emailstring · emailOptional

Email of the contact

Example: contact@example.com
full_namestringOptional

Full name of the contact

Example: John Doe
get/wam/contacts/{uid}
GET /api/v4/wam/contacts/{uid} HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

A specific waste contact

{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "company_id": 123,
  "roles": [
    "signatory",
    "notification"
  ],
  "email": "contact@example.com",
  "full_name": "John Doe"
}

Update a specific waste contact

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique ID of the waste contact

Body
company_idintegerOptional

ID of the company of the contact

Example: 123
emailstring · emailOptional

Email of the contact

Example: contact@example.com
full_namestringOptional

Full name of the contact

Example: John Doe
Responses
200

Updated waste contact

application/json
uidstring · uuidOptional

Unique identifier of the contact

Example: 123e4567-e89b-12d3-a456-426614174000
company_idintegerOptional

ID of the company of the contact

Example: 123
emailstring · emailOptional

Email of the contact

Example: contact@example.com
full_namestringOptional

Full name of the contact

Example: John Doe
patch/wam/contacts/{uid}
PATCH /api/v4/wam/contacts/{uid} HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 108

{
  "company_id": 123,
  "roles": [
    "signatory",
    "notification"
  ],
  "email": "contact@example.com",
  "full_name": "John Doe"
}
200

Updated waste contact

{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "company_id": 123,
  "roles": [
    "signatory",
    "notification"
  ],
  "email": "contact@example.com",
  "full_name": "John Doe"
}

Last updated

Was this helpful?